<!ELEMENT gui (JFrame|JDialog|JPopupMenu|script)*>
<!ELEMENT script (#PCDATA)>
<!ELEMENT JFrame (JComponent|JMenuBar|JPanel|JTextField|JPasswordField|JTextArea|JEditorPane|JLabel|JButton|JCheckBox|JRadioButton|JScrollPane|JSplitPane|JToolBar)* >
<!ELEMENT JDialog (JComponent|JMenuBar|JPanel|JTextField|JPasswordField|JTextArea|JEditorPane|JLabel|JButton|JCheckBox|JRadioButton|JScrollPane|JSplitPane|JToolBar)* >
<!ELEMENT JPanel (JComponent|JMenuBar|JPanel|JTextField|JPasswordField|JTextArea|JEditorPane|JLabel|JButton|JCheckBox|JRadioButton|JScrollPane|JSplitPane|JToolBar)* >
<!ELEMENT JScrollPane (JComponent|JMenuBar|JPanel|JTextField|JPasswordField|JTextArea|JEditorPane|JLabel|JButton|JCheckBox|JRadioButton|JToolBar|JSplitPane) >
<!ELEMENT JToolBar (JComponent|JMenuBar|JPanel|JTextField|JPasswordField|JTextArea|JEditorPane|JLabel|JButton|JCheckBox|JRadioButton|JScrollPane|JToolBar)* >
<!ELEMENT JSplitPane (JComponent|JMenuBar|JPanel|JTextField|JPasswordField|JTextArea|JEditorPane|JLabel|JButton|JCheckBox|JRadioButton|JScrollPane|JToolBar)* >
<!ELEMENT JList EMPTY>
<!ELEMENT JComboBox EMPTY>
<!ELEMENT JTextField EMPTY>
<!ELEMENT JPasswordField EMPTY>
<!ELEMENT JTextArea EMPTY>
<!ELEMENT JEditorPane EMPTY>
<!ELEMENT JLabel EMPTY>
<!ELEMENT JButton EMPTY>
<!ELEMENT JCheckBox EMPTY>
<!ELEMENT JRadioButton EMPTY>
<!ELEMENT JMenuBar (JMenu)* >
<!ELEMENT JMenu (JMenuItem|JCheckBoxMenuItem|JRadioButtonMenuItem|JSeparator)* >
<!ELEMENT JPopupMenu (JMenuItem|JCheckBoxMenuItem|JRadioButtonMenuItem|JSeparator)* >
<!ELEMENT JMenuItem EMPTY>
<!ELEMENT JCheckBoxMenuItem EMPTY>
<!ELEMENT JRadioButtonMenuItem EMPTY>
<!ELEMENT JSeparator EMPTY>
<!ELEMENT JComponent EMPTY>
<!ATTLIST gui
    lf    (native|crossPlatform) "crossPlatform"
>
<!ATTLIST JFrame
    id ID #REQUIRED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    
    popupId IDREF #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    title CDATA #IMPLIED
    layout CDATA #IMPLIED
>
<!ATTLIST JDialog
    id ID #REQUIRED
    script CDATA #IMPLIED
    
    ownerId IDREF #IMPLIED
    modal NMTOKEN #IMPLIED
    popupId IDREF #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    resizable (true|false) #IMPLIED

    title CDATA #IMPLIED
    layout CDATA #IMPLIED
>
<!ATTLIST JPopupMenu
    id ID #REQUIRED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    text CDATA ""
>
<!ATTLIST JPanel
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    layout CDATA #IMPLIED
>
<!ATTLIST JToolBar
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED
    
    borderPainted (true|false) #IMPLIED
    floatable (true|false) #IMPLIED

>
<!ATTLIST JScrollPane
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    verticalScrollBarPolicy NMTOKEN #IMPLIED
    horizontalScrollBarPolicy NMTOKEN #IMPLIED
>
<!ATTLIST JSplitPane
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    orientation (vertical|horizontal) #IMPLIED
>
<!ATTLIST JComponent
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #REQUIRED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED
>
<!ATTLIST JLabel
    id ID #IMPLIED
    script CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED

    icon CDATA #IMPLIED
    text CDATA ""
    labelFor IDREF #IMPLIED
    displayedMnemonic NMTOKEN #IMPLIED
>
<!ATTLIST JList
    id ID #IMPLIED
    script CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    focusAccelerator NMTOKEN #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED

    fixedCellWith CDATA #IMPLIED
    selectionBackground (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectionForeground (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
>
<!ATTLIST JComboBox
    id ID #IMPLIED
    script CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED

    editable (true|false) #IMPLIED
    maximumRowCount CDATA #IMPLIED
>
<!ATTLIST JButton
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    selected (true|false) #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>
<!ATTLIST JCheckBox
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    selected (true|false) #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>
<!ATTLIST JRadioButton
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    selected (true|false) #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>
<!ATTLIST JTextField
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED
    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED
    
    text CDATA    ""
    focusAccelerator NMTOKEN #IMPLIED
    disabledTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectedTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectionColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    editable (true|false) "true"

    columns NMTOKEN #IMPLIED
    halign NMTOKEN #IMPLIED
>
<!ATTLIST JPasswordField
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED
    
    text CDATA    ""
    focusAccelerator NMTOKEN #IMPLIED
    disabledTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectedTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectionColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    editable (true|false) "true"
    
    columns NMTOKEN #IMPLIED
    halign NMTOKEN #IMPLIED
>
<!ATTLIST JTextArea
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED
     
    text CDATA    ""
    focusAccelerator NMTOKEN #IMPLIED
    disabledTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectedTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectionColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    editable (true|false) "true"
    
    columns NMTOKEN #IMPLIED
>
<!ATTLIST JEditorPane
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    popupId IDREF #IMPLIED
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    opaque (true|false) #IMPLIED
    bounds CDATA #IMPLIED
    minimumSize CDATA #IMPLIED
    maximumSize CDATA #IMPLIED
    preferredSize CDATA #IMPLIED
     
    text CDATA    ""
    focusAccelerator NMTOKEN #IMPLIED
    disabledTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectedTextColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    selectionColor (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    editable (true|false) "true"
    
    editorKit (Default|Styled|HTML|RTF) #IMPLIED
    contentType CDATA #IMPLIED
    page CDATA #IMPLIED
>

<!ATTLIST JMenuBar
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    constraint NMTOKEN #IMPLIED
    
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED
>
<!ATTLIST JMenu
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>
<!ATTLIST JMenuItem
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    toolTipText CDATA #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>
<!ATTLIST JCheckBoxMenuItem
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    selected (true|false) #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>
<!ATTLIST JRadioButtonMenuItem
    id ID #IMPLIED
    script CDATA #IMPLIED
    creationScript CDATA #IMPLIED
    
    toolTipText CDATA #IMPLIED
    bg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    fg (black|blue|cyan|darkGray|gray|green|lightGray|magenta|orange|pink|red|white|yellow) #IMPLIED
    size CDATA #IMPLIED
    location CDATA #IMPLIED
    fontFace NMTOKEN #IMPLIED
    fontSize CDATA #IMPLIED
    fontStyle NMTOKEN #IMPLIED

    icon CDATA #IMPLIED
    disabledIcon CDATA #IMPLIED
    selected (true|false) #IMPLIED
    borderPainted (true|false) #IMPLIED
    focusPainted (true|false) #IMPLIED
    enabled (true|false) #IMPLIED
    mnemonic CDATA #IMPLIED
    text CDATA ""
>